package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-06-03T13:14:14.628+03:00
 * Generated source version: 3.4.3
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "AdminEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface AdminEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBinaryRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBinaryResponse")
    @RequestWrapper(localName = "loadBinary", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBinary")
    @ResponseWrapper(localName = "loadBinaryResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBinaryResponse")
    void loadBinary(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBackupRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBackupResponse")
    @RequestWrapper(localName = "loadBackup", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBackup")
    @ResponseWrapper(localName = "loadBackupResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBackupResponse")
    void loadBackup(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveJsonFasterXmlRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveJsonFasterXmlResponse")
    @RequestWrapper(localName = "dataSaveJsonFasterXml", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveJsonFasterXml")
    @ResponseWrapper(localName = "dataSaveJsonFasterXmlResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveJsonFasterXmlResponse")
    void dataSaveJsonFasterXml(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadJsonFasterXmlRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadJsonFasterXmlResponse")
    @RequestWrapper(localName = "dataLoadJsonFasterXml", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadJsonFasterXml")
    @ResponseWrapper(localName = "dataLoadJsonFasterXmlResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadJsonFasterXmlResponse")
    void dataLoadJsonFasterXml(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBase64Request", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/loadBase64Response")
    @RequestWrapper(localName = "loadBase64", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBase64")
    @ResponseWrapper(localName = "loadBase64Response", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.LoadBase64Response")
    void loadBase64(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadJsonJaxbRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadJsonJaxbResponse")
    @RequestWrapper(localName = "dataLoadJsonJaxb", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadJsonJaxb")
    @ResponseWrapper(localName = "dataLoadJsonJaxbResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadJsonJaxbResponse")
    void dataLoadJsonJaxb(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBackupRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBackupResponse")
    @RequestWrapper(localName = "saveBackup", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBackup")
    @ResponseWrapper(localName = "saveBackupResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBackupResponse")
    void saveBackup(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadXmlJaxbRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadXmlJaxbResponse")
    @RequestWrapper(localName = "dataLoadXmlJaxb", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadXmlJaxb")
    @ResponseWrapper(localName = "dataLoadXmlJaxbResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadXmlJaxbResponse")
    void dataLoadXmlJaxb(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveXmlFasterXmlRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveXmlFasterXmlResponse")
    @RequestWrapper(localName = "dataSaveXmlFasterXml", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveXmlFasterXml")
    @ResponseWrapper(localName = "dataSaveXmlFasterXmlResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveXmlFasterXmlResponse")
    void dataSaveXmlFasterXml(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveJsonJaxbRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveJsonJaxbResponse")
    @RequestWrapper(localName = "dataSaveJsonJaxb", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveJsonJaxb")
    @ResponseWrapper(localName = "dataSaveJsonJaxbResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveJsonJaxbResponse")
    void dataSaveJsonJaxb(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBase64Request", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBase64Response")
    @RequestWrapper(localName = "saveBase64", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBase64")
    @ResponseWrapper(localName = "saveBase64Response", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBase64Response")
    void saveBase64(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveXmlJaxbRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataSaveXmlJaxbResponse")
    @RequestWrapper(localName = "dataSaveXmlJaxb", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveXmlJaxb")
    @ResponseWrapper(localName = "dataSaveXmlJaxbResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataSaveXmlJaxbResponse")
    void dataSaveXmlJaxb(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadXmlFasterXmlRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/dataLoadXmlFasterXmlResponse")
    @RequestWrapper(localName = "dataLoadXmlFasterXml", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadXmlFasterXml")
    @ResponseWrapper(localName = "dataLoadXmlFasterXmlResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.DataLoadXmlFasterXmlResponse")
    void dataLoadXmlFasterXml(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBinaryRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/AdminEndpoint/saveBinaryResponse")
    @RequestWrapper(localName = "saveBinary", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBinary")
    @ResponseWrapper(localName = "saveBinaryResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.SaveBinaryResponse")
    void saveBinary(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session
    );
}
